POST /rapid/sendpush
This documentation is no longer supportedFor the latest information on our API, see Getting Started with the RedEye API
Send a campaign push message from Contour to multiple recipients using JSON. Push messages can be sent in a batch to a maximum of 10,000 recipients. During a RAPID sendpush request, the RAPID service checks the push permit of a recipient, updates existing records in the Person table and inserts new records for a new person in the Person table.
Prerequisites:
Before you can use this service you need to make sure that you've completed the following tasks:
- Created a schedule in Contour
- Received the relevant credentials from your RedEye account manager
- Person must already exist on the database before a push can be sent
- User needs to have downloaded the app to receive push notifications and be a push app user
- App user should not have the app opened as in-app messaging is not currently supported
Warning: Person aliases are not supported
Note: Duplicate batch_ids are ignored.The push identifier (how we recognise the recipient's profile ID) is email by default; for alternative identifiers (custrefid or username), these need to be requested through your RedEye account manager.
Body Sample
{
"schedule": "string",
"batch_id": 0,
"recipients": [
{
"email": "string",
"firstname": "string",
"titlelastname": "string",
"ordernumber": 0
}
]
}
Body Schema
{} RapidPushBody
Schedule (string) : The name of the schedule to send.
Batch_id (integer): A unique reference number. By default, a reference number is automatically generated if one is not provided. If you specify your own batch ID it must be unique, for example, a non-decimal integer value such as a microtime. In this instance, 100 bytes of disk space is reserved to store the batch ID in the database. If you want to save the batch ID that is returned in the call response, you need to reserve this amount of space for each batch ID. If a duplicate batch ID is detected, subsequent requests using the same batch ID are not processed.
Recipientsarray: The number of optional person fields and parameters that can be used per recipient has a maximum limit. This is configured by your RedEye Account Manager.
{} RecipientPushFields
Emailstring: Currently this is limited to a maximum of 10,000 recipients.
Firstnamestring: A person's first name. Merge data for the message content. This data is stored in the database.
Titlelastnamestring: A person's surname. Merge data for the message content. This data is stored in the database.
Ordernumberinteger: Customer order number. Merge data for the message content. This data is stored in the database.
Response Sample
{
"status": "string",
"batch_id": "string",
"token": "string"
}
Response Schema
{} RapidSuccess
Statusstring: A message describing the overall status of the call. A status of 'OK' is recorded as acceptance of the API request and not the receipt of the email.
Batch_id string: Returns the automatically generated or user defined batch ID that was specified in the call.
Token string: Use this token in a RAPID getstatus call to identify and retrieve information about the specific RAPID call that was transmitted.
